#constant tags and misc
execute as @a[tag=!p] run function paintball_war:update_new_players
spawnpoint @a[team=lobby] 250 51 250

#effect commands
effect give @a[tag=night_vision,team=!lobby,tag=inGame] minecraft:night_vision 999999 1 true
effect give @a minecraft:resistance 999999 255 true
effect give @a minecraft:fire_resistance 999999 255 true
execute if score logicController gameOver matches 1 run effect give @a minecraft:night_vision 999999 1 true
effect give @a[tag=nausea,team=!lobby,tag=inGame] minecraft:nausea 999999 0 true
effect give @a[tag=slowness,team=!lobby,tag=inGame] minecraft:slowness 999999 2 true
effect give @a[tag=poison,team=!lobby,tag=inGame] minecraft:poison 999999 1 true
effect give @a[tag=s_falling,team=!lobby,tag=inGame] minecraft:slow_falling 999999 2 true
effect give @a[tag=glow,team=!lobby,tag=inGame] minecraft:glowing 999999 1 true
effect give @a[tag=blind,team=!lobby,tag=inGame] minecraft:blindness 999999 1 true

#particle commands
#hub particles
particle minecraft:dragon_breath 250 46 228 0.5 0.5 0.5 0.025 2 normal

#spawnpoint particles
execute at @e[tag=r_spawn] run particle minecraft:dragon_breath ~ ~ ~ 0.2 0.2 0.2 0.02 1 normal @a[team=red]
execute at @e[tag=b_spawn] run particle minecraft:dragon_breath ~ ~ ~ 0.2 0.2 0.2 0.02 1 normal @a[team=blue]

#decorative
#particle minecraft:dripping_water -101.5 9.00 500.5 0.1 0.1 0.1 5 1 normal

#main logic
execute if score logicController startTimer matches 60 run title @a title [{"text":"3","color":"green"}]
execute if score logicController startTimer matches 60 run title @a subtitle [{"text":"Starting in...","color":"green"}]
execute if score logicController startTimer matches 60 as @a at @s run function paintball_war:ingame/timer_click
execute if score logicController startTimer matches 40 run title @a title [{"text":"2","color":"yellow"}]
execute if score logicController startTimer matches 40 run title @a subtitle [{"text":"Starting in...","color":"yellow"}]
execute if score logicController startTimer matches 40 as @a at @s run function paintball_war:ingame/timer_click
execute if score logicController startTimer matches 20 run title @a title [{"text":"1","color":"red"}]
execute if score logicController startTimer matches 20 run title @a subtitle [{"text":"Starting in...","color":"red"}]
execute if score logicController startTimer matches 20 as @a at @s run function paintball_war:ingame/timer_click
execute if score logicController startTimer matches 1..60 run scoreboard players remove logicController startTimer 1
execute if score logicController startTimer matches ..1 run function paintball_war:hub/start_after_timer
execute if score logicController gameStarted matches 1 if entity @e[tag=p,tag=inGame] run function paintball_war:ingame/in_game
execute if score logicController gameOver matches 1 if entity @a[team=lobby] run scoreboard players reset Blue killsOverall
execute if score logicController gameOver matches 1 if entity @a[team=lobby] run scoreboard players reset Red killsOverall

#testing section (testing killstreaks)
#end

#tip (which actually uses supposed tipTimer) logic
execute if score logicController tipTimer matches 1.. run scoreboard players remove logicController tipTimer 1
execute if score logicController tipTimer matches 0 run scoreboard players set logicController tipTimer 24000
execute if score logicController tipTimer matches 20400 run tellraw @a [{"text":"TIP: ","color":"gold"}, {"text":"You can get spammable paintballs in a killstreak!","color":"aqua"}]
execute at @a if score logicController tipTimer matches 20400 run function paintball_war:tipsound
execute if score logicController tipTimer matches 18000 run tellraw @a [{"text":"TIP: ","color":"gold"}, {"text":"When hit detection isn't the best, aim for the feet. This issue is being looked at and hopefully should improve soon!","color":"aqua"}]
execute at @a if score logicController tipTimer matches 18000 run function paintball_war:tipsound
execute if score logicController tipTimer matches 14400 run tellraw @a [{"text":"TIP: ","color":"gold"}, {"text":"The effects selection area has a few different neat effects you can choose for the next game. To reset the effects you've chosen, hit the 'reset effects' button.","color":"aqua"}]
execute at @a if score logicController tipTimer matches 14400 run function paintball_war:tipsound
execute if score logicController tipTimer matches 12000 run tellraw @a [{"text":"TIP: ","color":"gold"}, {"text":"There are 3 maps, to play them, go to the map selection area and choose one that sounds good!","color":"aqua"}]
execute at @a if score logicController tipTimer matches 12000 run function paintball_war:tipsound
execute if score logicController tipTimer matches 8400 run tellraw @a [{"text":"TIP: ","color":"gold"}, {"text":"The castle map has a dungeon, with cool secret areas for you to hide in!","color":"aqua"}]
execute at @a if score logicController tipTimer matches 8400 run function paintball_war:tipsound
execute if score logicController tipTimer matches 6000 run tellraw @a [{"text":"TIP: ","color":"gold"}, {"text":"There are super cool killstreaks in-game! But no spoilers, you gotta play to find out.","color":"aqua"}]
execute at @a if score logicController tipTimer matches 6000 run function paintball_war:tipsound
execute if score logicController tipTimer matches 2400 run tellraw @a [{"text":"TIP: ","color":"gold"}, {"text":"Purpur parkour is based around parkour to get over the wall to the enemy side. If you don't want to parkour much, go under the tunnels, but be ready for a maze!","color":"aqua"}]
execute at @a if score logicController tipTimer matches 2400 run function paintball_war:tipsound
execute if score logicController tipTimer matches 1 run tellraw @a [{"text":"TIP: ","color":"gold"}, {"text":"There are 5 killstreaks, starting at a killstreak of 3, you get spammable paintballs, and from there they only get more OP, at 6 kills, 9, 12, and 15(the final killstreak)","color":"aqua"}]
execute at @a if score logicController tipTimer matches 1 run function paintball_war:tipsound

#teams
team join lobby @e[tag=p,team=]
execute as @e[tag=p,team=lobby] run tag @a remove inGame